<?
$corec = $_SERVER['DOCUMENT_ROOT'];
require_once $corec.'/sys/inc/core.php';
only_reg();

if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['id'])."'"),0)==1)
{



$ark=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = ".intval($_GET['id'])." LIMIT 1"));
$set['title']="Жалоба на страничку: $ark[nick]";
require_once $corec.'/sys/inc/thead.php';
title();

if (isset($_POST['msg']))
{
$msg=mysql_real_escape_string($_POST['msg']);
if (strlen2($msg)>10000)$err='Поздравление превышает 10000 символа';
if (strlen2($msg)<2)$err='Слишком короткое сообщение';
if (!isset($err))
{
mysql_query("INSERT INTO `notspam` (`id_user`, `id_kont`, `msg`, `time`) values('$user', '1', '$user[nick] Подал жалобу на страничку $ark[nick].Причина:: $msg', '$time')");
echo 'Успешно';


}
}
err();
if (isset($user) && $user['id']!=$ark['id']){
echo "<div class='ankus'>Вы уверены что хотите подать жалобу на пользователя <font color=\"#F0000\"><b>".htmlspecialchars($ark[nick])."</b></font>? <br />Что бы подтвердить своё решение напишите причину жалобы и нажмите \"Подать\"<br />";
echo "<form method=\"post\" name='message' action=\"jaloba.php?id=$ank[id]\">\n";
echo "Причина жалобы:<br />\n<textarea name=\"msg\"></textarea><br />\n";



echo "<input value=\"Подать\" type=\"submit\" /><br />\n";  
echo "</form></div>\n";
}else{
?><div class="p_m">EROR</div><?
}
require_once $corec.'/sys/inc/tfoot.php';
}

?>